Skip to main content
PATCH
Update a customer address

Authorizations

Authorization
string
header
required

Merchant-bound customer session JWT returned by OTP verification.

Headers

Idempotency-Key
string
required

Caller-stable key reused only for retries of this exact request.

Required string length: 16 - 128
Pattern: ^[A-Za-z0-9._:-]{16,128}$
If-Match
string
required

Current address ETag returned by the API.

Pattern: ^(?:W/)?"address-[0-9]+"$

Path Parameters

addressId
string
required
Required string length: 1 - 128

Body

application/json
fullAddress
string
Required string length: 1 - 500
line1
string
Required string length: 1 - 200
line2
string
Maximum string length: 200
line3
string
Maximum string length: 200
lat
number
Required range: -90 <= x <= 90
lng
number
Required range: -180 <= x <= 180

Response

Updated address.

fullAddress
string
required
Required string length: 1 - 500
line1
string
required
Required string length: 1 - 200
line2
string
required
line3
string
required
lat
number
required
Required range: -90 <= x <= 90
lng
number
required
Required range: -180 <= x <= 180
addressId
string
required
Required string length: 1 - 128
revision
integer
required
Required range: 0 <= x <= 9007199254740991
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$